<html ng-app="app">
<head>
    <meta charset="UTF-8">
    <title>Controller as Syntax | Angular Training</title>

    <!-- Put Some Style Dude -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bulma/0.6.1/css/bulma.min.css" />
</head>
<body class="section">

    <!-- Angular Template -->
    <div ng-controller="mainController as main" class="columns is-primary">
        <div class="column box is-5 is-offset-3">
            <p class="subtitle">{{ main.message }}</p>

            <form ng-submit="main.changeMessage(main.newMessage)">
                <div class="field">
                    <div class="control">
                        <input type="text" class="input" ng-model="main.newMessage" required>
                    </div>
                </div>

                <button type="submit" class="button is-dark is-fullwidth is-outlined">Change Message</button>
            </form>
        </div>
    </div>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/angular.js/1.6.5/angular.js"></script>
    <script src="app.js"></script>
</body>
</html>
